"""
  File:        interface.py
  Author:      Petr `s3rvac` Zemek, s3rvac [at] seznam [dot] cz
  Date:        1.6.2007
  Description: CLI "interface" - allows user to start simulation,
               make only one simulation step etc. including displaying menu
"""

import actions
from fexceptions import *

menuOptions = {"x": actions.EXIT,
	"q": actions.EXIT,
	"a": actions.APPLYSPREAD,
	#"s": actions.STARTSIMULATION, # Not implemented yet
	#"p": actions.STOPSIMULATION,  # Not implemented yet
	"r": actions.RESTARTSIMULATION}

def showMenu():
	"""Shows simulation menu on the standard output"""
	#print "Menu: e(x)it/(q)uit, (a)pply spread, (s)tart simulation, sto(p) simulation, (r)estart simulation"
	print "Menu: e(x)it/(q)uit, (a)pply spread, (r)estart simulation"

def getActionFromUser():
	"""Reads an action from the standard input and returns it
	as an action (or it throws InterfaceExceptionInvalidAction
	if the action is not valid)
	"""
	try:
		choose = raw_input("Your choose?: ")
	except EOFError:
		raise InterfaceExceptionBreakExecution("EOF detected")

	if choose.lower() in menuOptions:
		return menuOptions[choose]
	else:
		raise InterfaceExceptionInvalidAction("invalid option selected: %s" % choose)

def printSimulationGrid(sim):
	"""Prints simulation grid to the standard output"""
	for i in sim.getRange():
		for j in sim.getRange():
			print sim.getTree(i, j).getNumberRepresentation(),
		print "\n",

# End of file: interface.py
