"""
  File:        StatusBar.py
  Author:      Petr `s3rvac` Zemek, s3rvac [at] seznam [dot] cz
  Date:        31.5.2007
  Description: Statusbar wrapper for common usage
"""

from Tkinter import *

class StatusBar(Frame):
	"""Statusbar wrapper for common usage"""

	def __init__(self, master):
		"""Constructor

		master - master window
		"""
		Frame.__init__(self, master)
		self.label = Label(self, bd = 1, relief = SUNKEN, anchor = W)
		self.label.pack(fill = X)

	def set(self, format, *args):
		""" Sets new statusbar message - works like C's printf function

		format - message format
		args - format arguments
		"""
		self.label.config(text = format % args)
		self.label.update_idletasks()

	def clear(self):
		"""Clears statusbar"""
		self.label.config(text = "")
		self.label.update_idletasks()

# End of file: StatusBar.py
